
var layer;
layui.use(['form', 'laydate', 'layer'], function () {
    var form = layui.form;
    var laydate = layui.laydate;
    // layer = layui.layer;
    laydate.render({elem:'#entry_interviewdate'});
    //监听提交
    form.on('submit(submit)', function (data) {
            if(!data.field.entry_interviewdate){
                layer.msg('面谈时间不能为空!',{time: 1000});return;
            }
            if(!data.field.entry_interviewnotes){
                layer.msg('面谈结果不能为空!',{time: 1000});return;
            }
            $.ajax({
                type: "post",
                data: JSON.stringify(data.field),
                url: '/jxp/saveInterview',
                timeout : 60000, //超时时间设置，单位毫秒
                dataType: "json",
                beforeSend: function() {
                    startloading();
                },
                success: function(d){
                    if (d.code=='0'){
                        layer.alert('提交成功',function (d1) {
                            window.location=document.referrer;
                        });
                       // layer.alert('保存成功');
                    }else{
                        layer.alert("提交错误:"+d.msg);
                    }
                },
                error: function(e){
                     layer.alert("您可能已掉线，请刷新页面或关闭后重试！!");
                },
                complete: function(xhr, status) {
                    setTimeout(function() {
                        try{
                            stoploading();
                        }catch(e){

                        }
                    }, 500);
                }
            });

        
    });

});

//初始化页面  主要是根据类型控制页面元素的是否可编辑
function initPage(){


}
